| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Namespaces | Typedefs | Enumerations | Functions
rfnoc_types.hpp File Reference
`#include <cstddef>`
`#include <cstdint>`

Go to the source code of this file.

## Namespaces
namespace | uhd
namespace | uhd::rfnoc

## Typedefs
using | uhd::rfnoc::sep_id_t = uint16_t
| Stream Endpoint ID Type.

## Enumerations
enum | uhd::rfnoc::chdr_w_t { uhd::rfnoc::CHDR_W_64 = 0 , uhd::rfnoc::CHDR_W_128 = 1 , uhd::rfnoc::CHDR_W_256 = 2 , uhd::rfnoc::CHDR_W_512 = 3 }
| Type that indicates the CHDR Width in bits. More...

## Functions
constexpr size_t | uhd::rfnoc::chdr_w_to_bits (chdr_w_t chdr_w)
| Conversion from chdr_w_t to a number of bits.
constexpr chdr_w_t | uhd::rfnoc::bits_to_chdr_w (size_t bits)
| Conversion from number of bits to chdr_w_t.